Package org.eclipse.mat.ui.util

## Class PopupMenu

- java.lang.Object
- - org.eclipse.mat.ui.util.PopupMenu

    public final class PopupMenu
    extends java.lang.Object

### Constructor Summary

Constructors
`PopupMenu()`
`PopupMenu​(java.lang.String name)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `add​(Action action)`
`void` `add​(PopupMenu menu)`
`void` `addSeparator()`
`void` `addToMenu​(IStatusLineManager statusLineManager, Menu menu)`
`Menu` `createMenu​(IStatusLineManager statusLineManager, Control parent)`
`PopupMenu` `getChildMenu​(java.lang.String name)`
`void` `setActionDefinitionId​(java.lang.String actionDefinitionId)`
`void` `setImageDescriptor​(ImageDescriptor imageDescriptor)`
`void` `setToolTipText​(java.lang.String tooltip)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PopupMenu

    public PopupMenu()

#### PopupMenu

    public PopupMenu​(java.lang.String name)

### Method Detail

#### add

    public void add​(Action action)

#### add

    public void add​(PopupMenu menu)

#### addSeparator

    public void addSeparator()

#### getChildMenu

    public PopupMenu getChildMenu​(java.lang.String name)

#### setToolTipText

    public void setToolTipText​(java.lang.String tooltip)

#### setImageDescriptor

    public void setImageDescriptor​(ImageDescriptor imageDescriptor)

#### setActionDefinitionId

    public void setActionDefinitionId​(java.lang.String actionDefinitionId)

#### addToMenu

    public void addToMenu​(IStatusLineManager statusLineManager,
                          Menu menu)

#### createMenu

    public Menu createMenu​(IStatusLineManager statusLineManager,
                           Control parent)